From: Dominik George <natureshadow@debian.org>
Subject: Use local Select2.js by default
--- a/django_select2/conf.py
+++ b/django_select2/conf.py
@@ -8,7 +8,7 @@
 class Select2Conf(AppConf):
     """Settings for Django-Select2."""
 
-    LIB_VERSION = "4.0.12"
+    LIB_VERSION = "debian"
     """Version of the Select2 library."""
 
     CACHE_BACKEND = "default"
@@ -56,11 +56,10 @@
     It has set `select2_` as a default value, which you can change if needed.
     """
 
-    JS = "https://cdnjs.cloudflare.com/ajax/libs/select2/{version}/js/select2.min.js".format(
-        version=LIB_VERSION
-    )
+    JS = "django_select2/select2.js/select2.js"
     """
-    The URI for the Select2 JS file. By default this points to the Cloudflare CDN.
+    The URI for the Select2 JS file. By default this points to a local copy linked
+    to the libjs-select2.js Debian package, to be served via staticfiles.
 
     If you want to select the version of the JS library used, or want to serve it from
     the local 'static' resources, add a line to your settings.py like so::
@@ -76,11 +75,10 @@
         develop without an Internet connection.
     """
 
-    CSS = "https://cdnjs.cloudflare.com/ajax/libs/select2/{version}/css/select2.min.css".format(
-        version=LIB_VERSION
-    )
+    CSS = "django_select2/select2.js/select2.css"
     """
-    The URI for the Select2 CSS file. By default this points to the Cloudflare CDN.
+    The URI for the Select2 CSS file. By default this points to a local copy linked
+    to the libjs-select2.js Debian package, to be served via staticfiles.
 
     If you want to select the version of the library used, or want to serve it from
     the local 'static' resources, add a line to your settings.py like so::
@@ -112,13 +110,10 @@
     .. tip:: When using other themes, you may need use select2 css and theme css.
     """
 
-    I18N_PATH = (
-        "https://cdnjs.cloudflare.com/ajax/libs/select2/{version}/js/i18n".format(
-            version=LIB_VERSION
-        )
-    )
+    I18N_PATH = "django_select2/select2.js/i18n"
     """
-    The base URI for the Select2 i18n files. By default this points to the Cloudflare CDN.
+    The base URI for the Select2 i18n files. By default this points to a local copy linked
+    to the libjs-select2.js Debian package, to be served via staticfiles.
 
     If you want to select the version of the I18N library used, or want to serve it from
     the local 'static' resources, add a line to your settings.py like so::
